#!/bin/bash
echo "$0: Generates list of MG5 fortran matrix elements in this directory"
echo "in format ready to insert in Vincia source code (src/MG5interface.cc)."
echo "Note: source files prefaced by 'vincia' are ignored."
fileList=`ls *.f | grep -v vincia`
for file in $fileList; do
    matrixName=`echo $file | sed s/.f// `
    echo "    MG5matrixList.push_back(new MG5$matrixName());"
done;
