// List of MG5 wrappers for VINCIA
// Generated on Sun 30 Dec 2018 14:44:24 AEDT by ./update.sh
// Any changes to this file must be done by updating ./update.sh

// Include MG5 C++ parameter definitions
#include "VinciaMG5/MG5parameters_sm.h"

// Include MG5 ME-wrapper base class(es)
#include "VinciaMG5/MG5matrix.h"

// Then include derived classes
#include "VinciaMG5/dd_dd.h"
#include "VinciaMG5/dd_ddg.h"
#include "VinciaMG5/dd_ddgg.h"
#include "VinciaMG5/dd_ddggg.h"
#include "VinciaMG5/dd_dxddd.h"
#include "VinciaMG5/dd_dxdddg.h"
#include "VinciaMG5/dd_uxddu.h"
#include "VinciaMG5/dd_uxddug.h"
#include "VinciaMG5/dg_dg.h"
#include "VinciaMG5/dg_dgg.h"
#include "VinciaMG5/dg_dggg.h"
#include "VinciaMG5/dg_dgggg.h"
#include "VinciaMG5/dg_dxdd.h"
#include "VinciaMG5/dg_dxddg.h"
#include "VinciaMG5/dg_dxddgg.h"
#include "VinciaMG5/dg_dxdxddd.h"
#include "VinciaMG5/dg_sxuxdus.h"
#include "VinciaMG5/dg_uxdu.h"
#include "VinciaMG5/dg_uxdug.h"
#include "VinciaMG5/dg_uxdugg.h"
#include "VinciaMG5/dg_uxdxddu.h"
#include "VinciaMG5/du_du.h"
#include "VinciaMG5/du_dug.h"
#include "VinciaMG5/du_dugg.h"
#include "VinciaMG5/du_duggg.h"
#include "VinciaMG5/du_dxddu.h"
#include "VinciaMG5/du_dxddug.h"
#include "VinciaMG5/du_sxdus.h"
#include "VinciaMG5/du_sxdusg.h"
#include "VinciaMG5/du_uxduu.h"
#include "VinciaMG5/du_uxduug.h"
#include "VinciaMG5/dxd_dxd.h"
#include "VinciaMG5/dxd_dxdg.h"
#include "VinciaMG5/dxd_dxdgg.h"
#include "VinciaMG5/dxd_dxdggg.h"
#include "VinciaMG5/dxd_dxdxdd.h"
#include "VinciaMG5/dxd_dxdxddg.h"
#include "VinciaMG5/dxd_gg.h"
#include "VinciaMG5/dxd_ggg.h"
#include "VinciaMG5/dxd_gggg.h"
#include "VinciaMG5/dxd_ggggg.h"
#include "VinciaMG5/dxd_sxuxus.h"
#include "VinciaMG5/dxd_sxuxusg.h"
#include "VinciaMG5/dxd_uxdxdu.h"
#include "VinciaMG5/dxd_uxdxdug.h"
#include "VinciaMG5/dxd_uxu.h"
#include "VinciaMG5/dxd_uxug.h"
#include "VinciaMG5/dxd_uxugg.h"
#include "VinciaMG5/dxd_uxuggg.h"
#include "VinciaMG5/dxdx_dxdx.h"
#include "VinciaMG5/dxdx_dxdxdxd.h"
#include "VinciaMG5/dxdx_dxdxdxdg.h"
#include "VinciaMG5/dxdx_dxdxg.h"
#include "VinciaMG5/dxdx_dxdxgg.h"
#include "VinciaMG5/dxdx_dxdxggg.h"
#include "VinciaMG5/dxdx_uxdxdxu.h"
#include "VinciaMG5/dxdx_uxdxdxug.h"
#include "VinciaMG5/dxg_dxdxd.h"
#include "VinciaMG5/dxg_dxdxdg.h"
#include "VinciaMG5/dxg_dxdxdgg.h"
#include "VinciaMG5/dxg_dxdxdxdd.h"
#include "VinciaMG5/dxg_dxg.h"
#include "VinciaMG5/dxg_dxgg.h"
#include "VinciaMG5/dxg_dxggg.h"
#include "VinciaMG5/dxg_dxgggg.h"
#include "VinciaMG5/dxg_sxuxdxus.h"
#include "VinciaMG5/dxg_uxdxdxdu.h"
#include "VinciaMG5/dxg_uxdxdxud.h"
#include "VinciaMG5/dxg_uxdxu.h"
#include "VinciaMG5/dxg_uxdxug.h"
#include "VinciaMG5/dxg_uxdxugg.h"
#include "VinciaMG5/dxu_dxdxdu.h"
#include "VinciaMG5/dxu_dxdxdug.h"
#include "VinciaMG5/dxu_dxu.h"
#include "VinciaMG5/dxu_dxug.h"
#include "VinciaMG5/dxu_dxugg.h"
#include "VinciaMG5/dxu_dxuggg.h"
#include "VinciaMG5/gg_dxd.h"
#include "VinciaMG5/gg_dxdg.h"
#include "VinciaMG5/gg_dxdgg.h"
#include "VinciaMG5/gg_dxdggg.h"
#include "VinciaMG5/gg_dxdxdd.h"
#include "VinciaMG5/gg_dxdxddg.h"
#include "VinciaMG5/gg_gg.h"
#include "VinciaMG5/gg_ggg.h"
#include "VinciaMG5/gg_gggg.h"
#include "VinciaMG5/gg_uxdxdu.h"
#include "VinciaMG5/gg_uxdxdug.h"
#include "VinciaMG5/sg_uxdxdus.h"
#include "VinciaMG5/ug_dxdu.h"
#include "VinciaMG5/ug_dxdug.h"
#include "VinciaMG5/ug_dxdugg.h"
#include "VinciaMG5/ug_dxdxddu.h"
#include "VinciaMG5/ug_sxdxdus.h"
#include "VinciaMG5/ug_uxdxduu.h"
#include "VinciaMG5/uxd_sxuxds.h"
#include "VinciaMG5/uxd_sxuxdsg.h"
#include "VinciaMG5/uxd_uxd.h"
#include "VinciaMG5/uxd_uxdg.h"
#include "VinciaMG5/uxd_uxdgg.h"
#include "VinciaMG5/uxd_uxdggg.h"
#include "VinciaMG5/uxd_uxdxdd.h"
#include "VinciaMG5/uxd_uxdxddg.h"
#include "VinciaMG5/uxdx_sxuxdxs.h"
#include "VinciaMG5/uxdx_sxuxdxsg.h"
#include "VinciaMG5/uxdx_uxdx.h"
#include "VinciaMG5/uxdx_uxdxdxd.h"
#include "VinciaMG5/uxdx_uxdxdxdg.h"
#include "VinciaMG5/uxdx_uxdxg.h"
#include "VinciaMG5/uxdx_uxdxgg.h"
#include "VinciaMG5/uxdx_uxdxggg.h"
#include "VinciaMG5/uxdx_uxuxdxu.h"
#include "VinciaMG5/uxdx_uxuxdxug.h"
#include "VinciaMG5/uxg_sxuxdxds.h"
#include "VinciaMG5/uxg_uxddxddx.h"
#include "VinciaMG5/uxg_uxdxd.h"
#include "VinciaMG5/uxg_uxdxdg.h"
#include "VinciaMG5/uxg_uxdxdgg.h"
#include "VinciaMG5/uxg_uxdxdxdd.h"
#include "VinciaMG5/uxg_uxuxdxdu.h"
#include "VinciaMG5/uxu_dxdxdd.h"
#include "VinciaMG5/uxu_dxdxddg.h"
#include "VinciaMG5/vincia31_uxu_gg.h"
